import javax.swing.*; // program uses class Scanner

public class BPIH4HW2
{
     // main method begins execution of Java application
     public static void main( String args[] )
     {            
        String s; 
        double n;
        double A=2.0;
        double b=1.0;
        for(double k=1.0;k < 100000000.0;k++)
        { 
	    b=(2.0*k)*(2.0*k);       
        A*=b/(b-1);
        }
        s="A = "+A;
        System.out.println(s);
        JOptionPane.showMessageDialog(null,s,"number pi calculation",JOptionPane.PLAIN_MESSAGE);
     } // end method main
} // end class BPIH4E1
